summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-plugins/purple-plugin_pack')
-rw-r--r--x11-plugins/purple-plugin_pack/Manifest1
-rw-r--r--x11-plugins/purple-plugin_pack/metadata.xml12
-rw-r--r--x11-plugins/purple-plugin_pack/purple-plugin_pack-2.7.0-r1.ebuild75
3 files changed, 88 insertions, 0 deletions
diff --git a/x11-plugins/purple-plugin_pack/Manifest b/x11-plugins/purple-plugin_pack/Manifest
new file mode 100644
index 00000000000..f4a123140f5
--- /dev/null
+++ b/x11-plugins/purple-plugin_pack/Manifest
@@ -0,0 +1 @@
+DIST purple-plugin-pack-2.7.0.tar.bz2 761618 SHA256 2bbcf5e778a33968ba7f2864d2a6cb526a8984be3e4151642a583eee8eafb03c SHA512 fffe1b8c38bff9ce88ae26426110923cc4722bf77fe59f6cf1123931558b06d830a842a6fe4d4f47295beec12f82cf5c25ac03d84944bb2629423ebac4399caf WHIRLPOOL 2076b63da2da6c5f2c8c2165d5c67fbc36a2e1ffc424a4935e90b7e8ab8549512c8738358d5b0ac9ef11cb5d95e2cf1a50da476f7d1fcd07d4d0f149c970b353
diff --git a/x11-plugins/purple-plugin_pack/metadata.xml b/x11-plugins/purple-plugin_pack/metadata.xml
new file mode 100644
index 00000000000..80061771dab
--- /dev/null
+++ b/x11-plugins/purple-plugin_pack/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-im</herd>
+ <use>
+ <flag name="talkfilters">Enable support for
+ <pkg>app-text/talklfilters</pkg></flag>
+ </use>
+ <upstream>
+ <remote-id type="bitbucket">rekkanoryo/purple-plugin-pack</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.7.0-r1.ebuild b/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.7.0-r1.ebuild
new file mode 100644
index 00000000000..f366ad7bac5
--- /dev/null
+++ b/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.7.0-r1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-any-r1
+
+MY_PN=${PN/_/-}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="A package with many different plugins for pidgin and libpurple"
+HOMEPAGE="https://bitbucket.org/rekkanoryo/purple-plugin-pack/"
+SRC_URI="https://bitbucket.org/rekkanoryo/${MY_PN}/downloads/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 hppa ppc x86"
+IUSE="debug gtk ncurses spell talkfilters"
+
+RDEPEND="dev-libs/json-glib
+ net-im/pidgin[gtk?,ncurses?]
+ talkfilters? ( app-text/talkfilters )
+ spell? ( app-text/gtkspell:2 )"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -e '/CFLAGS=/{s| -g3||}' -i configure || die
+}
+
+list_plugins_dep() {
+ local dependency=${1}
+ grep -EH "depends.*$dependency" */plugins.cfg | sed 's:/.*::'
+}
+
+src_configure() {
+ local plugins=""
+
+ # list all plugins, then pull DISABLED_PLUGINS with the ones we don't need
+ plugins="$(${EPYTHON} plugin_pack.py -d dist_dirs)"
+ einfo "List of all possible plugins:"
+ einfo "${plugins}"
+
+ eval DISABLED_PLUGINS="\$${PN//[^a-z]/_}_DISABLED_PLUGINS"
+ # disable known broken plugins
+ DISABLED_PLUGINS+=" schedule findip"
+ use gtk || DISABLED_PLUGINS+=" $(list_plugins_dep pidgin)"
+ use ncurses || DISABLED_PLUGINS+=" $(list_plugins_dep finch)"
+ use spell || DISABLED_PLUGINS+=" $(list_plugins_dep gtkspell)"
+ use talkfilters || DISABLED_PLUGINS+=" $(list_plugins_dep talkfiltersbin)"
+
+ for plug in ${DISABLED_PLUGINS}; do
+ plugins="${plugins//${plug}}"
+ done
+
+ plugins="$(echo ${plugins} | sed 's:[ \t]\+:,:g;s:,$::;s:^,::')"
+
+ econf \
+ --with-plugins="${plugins}" \
+ $(use_enable debug)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc AUTHORS ChangeLog NEWS README VERSION
+}
+
+pkg_preinst() {
+ elog "Note: if you want to disable some plugins in pack, define"
+ elog "${PN//[^a-z]/_}_DISABLED_PLUGINS with a list of plugins to"
+ elog "skip during install (for list see einfo in build output)."
+}